// Code generated by client-gen. DO NOT EDIT.

package v1alpha1

import (
	"time"

	v1alpha1 "github.com/kyma-project/kyma/components/idppreset/pkg/apis/authentication/v1alpha1"
	scheme "github.com/kyma-project/kyma/components/idppreset/pkg/client/clientset/versioned/scheme"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	rest "k8s.io/client-go/rest"
)

// IDPPresetsGetter has a method to return a IDPPresetInterface.
// A group's client should implement this interface.
type IDPPresetsGetter interface {
	IDPPresets() IDPPresetInterface
}

// IDPPresetInterface has methods to work with IDPPreset resources.
type IDPPresetInterface interface {
	Create(*v1alpha1.IDPPreset) (*v1alpha1.IDPPreset, error)
	Update(*v1alpha1.IDPPreset) (*v1alpha1.IDPPreset, error)
	Delete(name string, options *v1.DeleteOptions) error
	DeleteCollection(options *v1.DeleteOptions, listOptions v1.ListOptions) error
	Get(name string, options v1.GetOptions) (*v1alpha1.IDPPreset, error)
	List(opts v1.ListOptions) (*v1alpha1.IDPPresetList, error)
	Watch(opts v1.ListOptions) (watch.Interface, error)
	Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1alpha1.IDPPreset, err error)
	IDPPresetExpansion
}

// iDPPresets implements IDPPresetInterface
type iDPPresets struct {
	client rest.Interface
}

// newIDPPresets returns a IDPPresets
func newIDPPresets(c *AuthenticationV1alpha1Client) *iDPPresets {
	return &iDPPresets{
		client: c.RESTClient(),
	}
}

// Get takes name of the iDPPreset, and returns the corresponding iDPPreset object, and an error if there is any.
func (c *iDPPresets) Get(name string, options v1.GetOptions) (result *v1alpha1.IDPPreset, err error) {
	result = &v1alpha1.IDPPreset{}
	err = c.client.Get().
		Resource("idppresets").
		Name(name).
		VersionedParams(&options, scheme.ParameterCodec).
		Do().
		Into(result)
	return
}

// List takes label and field selectors, and returns the list of IDPPresets that match those selectors.
func (c *iDPPresets) List(opts v1.ListOptions) (result *v1alpha1.IDPPresetList, err error) {
	var timeout time.Duration
	if opts.TimeoutSeconds != nil {
		timeout = time.Duration(*opts.TimeoutSeconds) * time.Second
	}
	result = &v1alpha1.IDPPresetList{}
	err = c.client.Get().
		Resource("idppresets").
		VersionedParams(&opts, scheme.ParameterCodec).
		Timeout(timeout).
		Do().
		Into(result)
	return
}

// Watch returns a watch.Interface that watches the requested iDPPresets.
func (c *iDPPresets) Watch(opts v1.ListOptions) (watch.Interface, error) {
	var timeout time.Duration
	if opts.TimeoutSeconds != nil {
		timeout = time.Duration(*opts.TimeoutSeconds) * time.Second
	}
	opts.Watch = true
	return c.client.Get().
		Resource("idppresets").
		VersionedParams(&opts, scheme.ParameterCodec).
		Timeout(timeout).
		Watch()
}

// Create takes the representation of a iDPPreset and creates it.  Returns the server's representation of the iDPPreset, and an error, if there is any.
func (c *iDPPresets) Create(iDPPreset *v1alpha1.IDPPreset) (result *v1alpha1.IDPPreset, err error) {
	result = &v1alpha1.IDPPreset{}
	err = c.client.Post().
		Resource("idppresets").
		Body(iDPPreset).
		Do().
		Into(result)
	return
}

// Update takes the representation of a iDPPreset and updates it. Returns the server's representation of the iDPPreset, and an error, if there is any.
func (c *iDPPresets) Update(iDPPreset *v1alpha1.IDPPreset) (result *v1alpha1.IDPPreset, err error) {
	result = &v1alpha1.IDPPreset{}
	err = c.client.Put().
		Resource("idppresets").
		Name(iDPPreset.Name).
		Body(iDPPreset).
		Do().
		Into(result)
	return
}

// Delete takes name of the iDPPreset and deletes it. Returns an error if one occurs.
func (c *iDPPresets) Delete(name string, options *v1.DeleteOptions) error {
	return c.client.Delete().
		Resource("idppresets").
		Name(name).
		Body(options).
		Do().
		Error()
}

// DeleteCollection deletes a collection of objects.
func (c *iDPPresets) DeleteCollection(options *v1.DeleteOptions, listOptions v1.ListOptions) error {
	var timeout time.Duration
	if listOptions.TimeoutSeconds != nil {
		timeout = time.Duration(*listOptions.TimeoutSeconds) * time.Second
	}
	return c.client.Delete().
		Resource("idppresets").
		VersionedParams(&listOptions, scheme.ParameterCodec).
		Timeout(timeout).
		Body(options).
		Do().
		Error()
}

// Patch applies the patch and returns the patched iDPPreset.
func (c *iDPPresets) Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1alpha1.IDPPreset, err error) {
	result = &v1alpha1.IDPPreset{}
	err = c.client.Patch(pt).
		Resource("idppresets").
		SubResource(subresources...).
		Name(name).
		Body(data).
		Do().
		Into(result)
	return
}
